#include <stdio.h>

void swap(int *x, int *y);

int somma(int x, int y){
    return x+y;
}

int potenza(int x, int e){
    int i, r=1;
    for(i=0; i<e; i++)
        r=r*x;
    return r;
}

int f(int x, int y){
    return x*x + y*y;
}

void swap(int *x, int *y){
    int tmp=*x;
    *x=*y;
    *y=tmp;
}

int main(){
    int s = 0;
    int a, b;
    s=somma(5, 3);
    printf("inserire due interi: ");
    scanf("%d %d", &a, &b);
    s=potenza(a,b);
    printf("%d^%d: %d\n",a, b, s);
    swap(&a, &b);
    printf("%d %d\n", a, b);
    return 0;
}
